package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.LinkedMultiValueMap;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description: 考生表格bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class ExamStudentTableBean implements Serializable {

    @ApiModelProperty(name = "序号")
    String num;

    @ApiModelProperty(name = "学号")
    String examNumber;

    @ApiModelProperty(name = "姓名")
    String name;

    @ApiModelProperty(name = "行政班级")
    String clazz;

    @ApiModelProperty(name = "目标成绩")
    LinkedMultiValueMap<String, Map<String, ExamStudentScoreBean>> map;

    @ApiModelProperty(name = "综合成绩")
    BigDecimal sumScore = new BigDecimal(0);

    public ExamStudentTableBean() {

    }

    public ExamStudentTableBean(String num, String examNumber, String name, String clazz) {
        this.num = num;
        this.examNumber = examNumber;
        this.name = name;
        this.clazz = clazz;
    }

    public ExamStudentTableBean(String num, String examNumber, String name, String clazz, LinkedMultiValueMap<String, Map<String, ExamStudentScoreBean>> map, BigDecimal sumScore) {
        this.num = num;
        this.examNumber = examNumber;
        this.name = name;
        this.clazz = clazz;
        this.map = map;
        this.sumScore = sumScore;
    }

    public LinkedMultiValueMap<String, Map<String, ExamStudentScoreBean>> getMap() {
        return map;
    }

    public void setMap(LinkedMultiValueMap<String, Map<String, ExamStudentScoreBean>> map) {
        this.map = map;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }

    public BigDecimal getSumScore() {
        return sumScore;
    }

    public void setSumScore(BigDecimal sumScore) {
        this.sumScore = sumScore;
    }
}
